Subject: Issues
From: Angela Edstrom <[email-masked]>
To: [email-masked]
Cc: Rita Kurtz <[email-masked]>, Maggie Oliver <[email-masked]>, Michael Bishop <[email-masked]>
Date: Mon, 5 Dec 2016 07:38:19 -0500

Good morning! There are a few people that we need to let go due to the fact that they just are hitting the numbers that we need. We've worked with them time and again and feel we've done all we can. It seems they may just not be cut out for business to business phone sales work, at least not with our company. The people that need to be let go are Najmussahar Ali, Coniylouse Baldwin and Raekwon Evans. I apologize I forgot to email on Friday at 6, I didn't want them notified during their shift. 
Thank you,
Angela 

Sent from my iPhone